%global with_govirt 0
%global with_spice 0

Summary:       Virtual Machine Viewer
Name:          virt-viewer
Version:       11.0
Release:       5%{?dist}
License:       GPLv2+
URL:           https://gitlab.com/virt-viewer/virt-viewer
Source0:       https://virt-manager.org/download/sources/%{name}/%{name}-%{version}.tar.xz
Patch3001:     0001-data-remove-bogus-param-for-meson-i18n.merge_file.patch

BuildRequires: gcc meson gettext
BuildRequires: pkgconfig(glib-2.0) pkgconfig(bash-completion)
BuildRequires: pkgconfig(gtk+-3.0) pkgconfig(gtk-vnc-2.0)
BuildRequires: pkgconfig(libvirt) pkgconfig(libvirt-glib-1.0)
BuildRequires: pkgconfig(libxml-2.0) pkgconfig(vte-2.91)
BuildRequires: /usr/bin/pod2man
%if %{with_spice}
BuildRequires: pkgconfig(spice-client-gtk-3.0) pkgconfig(spice-protocol)
%endif
%if %{with_govirt}
BuildRequires: pkgconfig(govirt-1.0) pkgconfig(rest-0.7)
%endif

Requires: libvirt-client openssh-clients

%description
Virtual Machine Viewer provides a graphical console client for connecting
to virtual machines. It uses the GTK-VNC or SPICE-GTK widgets to provide
the display, and libvirt for looking up VNC/SPICE server details.


%prep
%autosetup -p1


%build
%define buildid_opt -Dbuild-id=%{release}

%if !%{with_govirt}
%define ovirt_opt -Dovirt=disabled
%endif

%if !%{with_spice}
%define spice_opt -Dspice=disabled
%endif

%meson %{buildid_opt} %{?ovirt_opt} %{?spice_opt} %{?osid_opt}
%meson_build


%install
%meson_install
%find_lang %{name}


%files -f %{name}.lang
%license COPYING
%doc README.md AUTHORS NEWS
%{_bindir}/%{name}
%{_bindir}/remote-viewer
%{_datadir}/icons/hicolor/*/apps/*
%{_datadir}/applications/remote-viewer.desktop
%{_datadir}/metainfo/remote-viewer.appdata.xml
%{_datadir}/mime/packages/virt-viewer-mime.xml
%{_datadir}/bash-completion/completions/virt-viewer
%{_mandir}/man1/virt-viewer.1*
%{_mandir}/man1/remote-viewer.1*


%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 11.0-5
- Rebuilt for OpenCloudOS Stream 23.09

* Wed Jul 19 2023 Miaojun Dong <zoedong@tencent.com> - 11.0-4
- Rebuild for libvirt-9.4.0

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 11.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 11.0-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Dec 15 2022 rockerzhu <rockerzhu@tencent.com> - 11.0-1
- Initial build
